package com.kingdee.eas.custom.logs;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class MessageLogsCollection extends AbstractObjectCollection 
{
    public MessageLogsCollection()
    {
        super(MessageLogsInfo.class);
    }
    public boolean add(MessageLogsInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(MessageLogsCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(MessageLogsInfo item)
    {
        return removeObject(item);
    }
    public MessageLogsInfo get(int index)
    {
        return(MessageLogsInfo)getObject(index);
    }
    public MessageLogsInfo get(Object key)
    {
        return(MessageLogsInfo)getObject(key);
    }
    public void set(int index, MessageLogsInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(MessageLogsInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(MessageLogsInfo item)
    {
        return super.indexOf(item);
    }
}